CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2022-22536

SAP NetWeaver Application Server ABAP, SAP NetWeaver Application Server Java, ABAP Platform, SAP Content Server 7.53 and SAP Web Dispatcher are vulnerable for request smuggling and request concatenation. An unauthenticated attacker can prepend a victim's request with arbitrary data. This way, the attacker can execute functions impersonating the victim or poison intermediary Web caches. A successful attack could result in complete compromise of Confidentiality, Integrity and Availability of the system.
Publish Date : 2022-02-09 Last Update Date : 2022-02-11
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
10.0
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 444

- Products Affected By CVE-2022-22536

# Product Type Vendor Product Version Update Edition Language
1 Application SAP Content Server 7.53 * * * Version Details Vulnerabilities
2 Application SAP Netweaver As Abap Krnl64uc 8.04 * * * Version Details Vulnerabilities
3 Application SAP Netweaver As Abap Krnl64nuc 7.22ext * * * Version Details Vulnerabilities
4 Application SAP Netweaver As Abap Krnl64uc 7.22 * * * Version Details Vulnerabilities
5 Application SAP Netweaver As Abap Krnl64uc 7.22ext * * * Version Details Vulnerabilities
6 Application SAP Netweaver As Abap Krnl64nuc 7.22 * * * Version Details Vulnerabilities
7 Application SAP Netweaver As Abap Krnl64nuc 7.49 * * * Version Details Vulnerabilities
8 Application SAP Netweaver As Abap Krnl64uc 7.49 * * * Version Details Vulnerabilities
9 Application SAP Netweaver As Abap Krnl64uc 7.53 * * * Version Details Vulnerabilities
10 Application SAP Netweaver As Abap 7.22 * * * Version Details Vulnerabilities
11 Application SAP Netweaver As Abap 7.49 * * * Version Details Vulnerabilities
12 Application SAP Netweaver As Abap 7.53 * * * Version Details Vulnerabilities
13 Application SAP Netweaver As Abap 7.77 * * * Version Details Vulnerabilities
14 Application SAP Netweaver As Abap 7.81 * * * Version Details Vulnerabilities
15 Application SAP Netweaver As Abap 7.85 * * * Version Details Vulnerabilities
16 Application SAP Netweaver As Abap 7.86 * * * Version Details Vulnerabilities
17 Application SAP Netweaver As Abap 7.87 * * * Version Details Vulnerabilities
18 Application SAP Netweaver As Abap 8.04 * * * Version Details Vulnerabilities
19 Application SAP Web Dispatcher 7.22ext * * * Version Details Vulnerabilities
20 Application SAP Web Dispatcher 7.49 * * * Version Details Vulnerabilities
21 Application SAP Web Dispatcher 7.53 * * * Version Details Vulnerabilities
22 Application SAP Web Dispatcher 7.77 * * * Version Details Vulnerabilities
23 Application SAP Web Dispatcher 7.81 * * * Version Details Vulnerabilities
24 Application SAP Web Dispatcher 7.85 * * * Version Details Vulnerabilities
25 Application SAP Web Dispatcher 7.86 * * * Version Details Vulnerabilities
26 Application SAP Web Dispatcher 7.87 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
SAP Content Server 1
SAP Netweaver As Abap 17
SAP Web Dispatcher 8

- References For CVE-2022-22536

https://wiki.scn.sap.com/wiki/display/PSR/SAP+Security+Patch+Day+-+February+2022
https://launchpad.support.sap.com/#/notes/3123396

- Metasploit Modules Related To CVE-2022-22536

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.